Subject: Re: Key mapping is possible?

From: [email-masked] (Matthew William Clarke)
Date: 2 Mar 1997 10:15:13 GMT

Robin S. Socha ([email-masked]) wrote:
: On Fri, 14 Feb 1997, Ismail Tuncer wrote:
: 
:   >Is it possible to map keys in pine? 
: 
: >From a quick glance at pico (that's what we're talking about here, not
: pine), I think the answer is "no".

Ha! What if we want to remap the pine command keys to make it like elm?

:   
:   >I hate to use curser keys to move around and cntr-c to quit out of
:   >something. cntr-c really gets me. Why on earth I should hit 2 keys to
:   >quit.

No kidding.  You know, vi has been around for 30 years, and it is way
superior to any existing editor on the market these days.  Ok, well,
maybe not way superior, but it sure beats the hell out of anything else
that I would ever use over a dumb terminal.   10 keys.  I can control the
world with 10 keys.   I can browse the Internet with 10 keys (because
lynx has a vi mapping).   I can edit passwd files, write perl scripts,
construct a lyric poem, ALL WITH 10 KEYS!   So why doesn't Pine have
a vi key mapping for its basic command functions? 

Excerpts from "Secrets of Pine":
* If some control characters don't work in Pine (or Pico), it is
       probably because the communication or operating system software
       you are using is intercepting those characters before they get to
       Pine. Some that are more likely to be intercepted include ^C, ^J,
       ^O, ^^, and ^_ . If you are unable to reconfigure your
communication software to correct this, a work-around is to press
       the ESCAPE key twice followed by the desired control key. For
       example, ^C would be simulated by pressing "ESC ESC C" and "^^"
       would be "ESC ESC ^".

You know what?  With vi, CONTROL CHARACTERS DON'T MATTER!!!! You
can edit an entire file without any control characters, so no 
matter how screwed up your terminal is, it doesn't matter!
I can edit files without even looking at them.  I can compose
and edit files in vi WITH MY EYES CLOSED!
If anyone knows of a way to gain a vi mapping, please send an e-mail.  
Otherwise, I will be downloading the pine source shortly,
and wreaking havoc on it.
-m